Subject: bug#38675: closed (Re: bug#38675: 27.0.50; define-obsolete-face-alias definition does not match documentation)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Dec 2019 09:16:02 +0000

Your bug report

#38675: 27.0.50; define-obsolete-face-alias definition does not match documentation

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38675: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38675
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38675: 27.0.50; define-obsolete-face-alias definition does not match documentation
From: Eli Zaretskii <[email-masked]>
To: James Felix Black <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 Dec 2019 11:15:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: James Felix Black <[email-masked]>
> Date: Sat, 21 Dec 2019 17:47:45 -0500
> Cc: [email-masked]
> 
> I’m easy either way. Do the usage and docs match the other “define-obsolete-“ macros?

I fixed the documentation to fit the advertised calling convention,
and I'm therefore closing this bug report.

Thanks.

Subject: 27.0.50; define-obsolete-face-alias definition does not match documentation
From: James Felix Black <[email-masked]>
To: [email-masked]
Date: Thu, 19 Dec 2019 12:49:01 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

This was discovered in `haskell-mode` [1]. The documentation of  define-obsolete-face-alias claims that `when` is optional, but the macro definition does not follow the docs. This patch fixes the problem.

In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin19.2.0, NS appkit-1894.20 Version 10.15.2 (Build 19C57))
 of 2019-12-19 built on moomin.local
Repository revision: f38e8a86650e8a7f72293d81a7392289c298ae5a
Repository branch: fix_define-obsolete-face-alias_optional
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.2

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
user-error: The mark is not set now, so there is no region
Making completion list...

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_CA.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads kqueue cocoa ns lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 43939 6393)
 (symbols 48 5909 1)
 (strings 32 15245 1247)
 (string-bytes 1 502913)
 (vectors 16 9297)
 (vector-slots 8 118962 11572)
 (floats 8 20 25)
 (intervals 56 185 0)
 (buffers 1000 12))

[1] https://github.com/haskell/haskell-mode/issues/1691